Skip to main content
GET
/
public
/
v1
/
workflows
/
execution-states
List execution states
curl --request GET \
  --url https://api.dualentry.com/public/v1/workflows/execution-states/ \
  --header 'X-API-KEY: <api-key>'
{
  "items": [
    {
      "id": 123,
      "workflow_id": 123,
      "workflow_name": "<string>",
      "record_id": 123,
      "record_type": "<string>",
      "current_step": 123,
      "current_substep": 123,
      "status": "<string>",
      "requested_approver_ids": [
        123
      ],
      "approved_by_ids": [
        123
      ],
      "rejected_by_id": 123,
      "rejection_reason": "<string>",
      "initiator_id": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "count": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.dualentry.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Query Parameters

search
string | null
workflow_id
integer[] | null
status
string[] | null
record_type
string | null
initiator_id
integer[] | null
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
PublicWorkflowExecutionStateSchemaOut · object[]
required
count
integer
required
Last modified on May 28, 2026